org.eclipse.rap.rwt.dnd

## Class ClientFileTransfer

- java.lang.Object
- - org.eclipse.swt.dnd.Transfer
  - - org.eclipse.rap.rwt.dnd.ClientFileTransfer

    public class ClientFileTransfer
    extends Transfer

The class `ClientFileTransfer` allows the user to drop files from the user's file system on a `DropTarget`. The DropEvent will contain data of the type `ClientFile[]`.

Since:
  2.3
See Also:
  `Transfer`, `ClientFile`, `ClientFileUploader`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static ClientFileTransfer` `getInstance()`
`TransferData[]` `getSupportedTypes()` Returns a list of the platform specific data types that can be converted using this transfer agent.
`protected int[]` `getTypeIds()` Returns the platform specific ids of the data types that can be converted using this transfer agent.
`protected java.lang.String[]` `getTypeNames()` Returns the platform specific names of the data types that can be converted using this transfer agent.
`boolean` `isSupportedType(TransferData transferData)` Returns true if the `TransferData` data type can be converted using this transfer agent, or false otherwise (including if transferData is `null`).
`void` `javaToNative(java.lang.Object object, TransferData transferData)` Converts a java representation of data to a platform specific representation of the data.
`java.lang.Object` `nativeToJava(TransferData transferData)` Converts a platform specific representation of data to a java representation.

### Methods inherited from class org.eclipse.swt.dnd.Transfer

`registerType, validate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getInstance

    public static ClientFileTransfer getInstance()

#### getSupportedTypes

    public TransferData[] getSupportedTypes()

Description copied from class: `Transfer`
Returns a list of the platform specific data types that can be converted using this transfer agent.

Only the data type fields of the `TransferData` objects are filled in.

Specified by:
  `getSupportedTypes` in class `Transfer`
Returns:
  a list of the data types that can be converted using this transfer agent

#### isSupportedType

    public boolean isSupportedType(TransferData transferData)

Description copied from class: `Transfer`
Returns true if the `TransferData` data type can be converted using this transfer agent, or false otherwise (including if transferData is `null`).

Specified by:
  `isSupportedType` in class `Transfer`
Parameters:
  `transferData` - a platform specific description of a data type; only the data type fields of the `TransferData` object need to be filled in
Returns:
  true if the transferData data type can be converted using this transfer agent

#### getTypeIds

    protected int[] getTypeIds()

Description copied from class: `Transfer`
Returns the platform specific ids of the data types that can be converted using this transfer agent.

Specified by:
  `getTypeIds` in class `Transfer`
Returns:
  the platform specific ids of the data types that can be converted using this transfer agent

#### getTypeNames

    protected java.lang.String[] getTypeNames()

Description copied from class: `Transfer`
Returns the platform specific names of the data types that can be converted using this transfer agent.

Specified by:
  `getTypeNames` in class `Transfer`
Returns:
  the platform specific names of the data types that can be converted using this transfer agent.

#### javaToNative

    public void javaToNative(java.lang.Object object,
                             TransferData transferData)

Description copied from class: `Transfer`
Converts a java representation of data to a platform specific representation of the data.

On a successful conversion, the transferData.result field will be set to 1. If this transfer agent is unable to perform the conversion, the transferData.result field will be set to a failure value of 0.

IMPORTANT: This method is not part of the RWT public API. It is marked public only so that it can be shared within the packages provided by RWT. It should never be accessed from application code.

Specified by:
  `javaToNative` in class `Transfer`
Parameters:
  `object` - a java representation of the data to be converted; the type of Object that is passed in is dependent on the `Transfer` subclass.
  `transferData` - an empty TransferData object; this object will be filled in on return with the platform specific representation of the data

#### nativeToJava

    public java.lang.Object nativeToJava(TransferData transferData)

Description copied from class: `Transfer`
Converts a platform specific representation of data to a java representation.

IMPORTANT: This method is not part of the RWT public API. It is marked public only so that it can be shared within the packages provided by RWT. It should never be accessed from application code.

Specified by:
  `nativeToJava` in class `Transfer`
Parameters:
  `transferData` - the platform specific representation of the data to be converted
Returns:
  a java representation of the converted data if the conversion was successful; otherwise null. If transferData is `null` then `null` is returned. The type of Object that is returned is dependent on the `Transfer` subclass.

Copyright (c) EclipseSource and others 2002, 2016. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0